Bug 1655146 - [abrt] xorg-x11-server-Xwayland: OsLookupColor(): Segmentation fault at address 0x3d1
Summary: [abrt] xorg-x11-server-Xwayland: OsLookupColor(): Segmentation fault at addre...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-server
Version: 29
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:436efc03d54f1011b09e5fc2275...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-30 18:17 UTC by Gerhard
Modified: 2018-12-19 02:28 UTC (History)
9 users (show)

Fixed In Version: xorg-x11-server-1.20.3-2.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-12-19 02:28:14 UTC


Attachments (Terms of Use)
File: Xorg.0.log (21.19 KB, text/plain)
2018-11-30 18:17 UTC, Gerhard
no flags Details
File: backtrace (537 bytes, text/plain)
2018-11-30 18:17 UTC, Gerhard
no flags Details
File: cpuinfo (1.20 KB, text/plain)
2018-11-30 18:17 UTC, Gerhard
no flags Details
File: dmesg (222.07 KB, text/plain)
2018-11-30 18:17 UTC, Gerhard
no flags Details
File: dso_list (240 bytes, text/plain)
2018-11-30 18:17 UTC, Gerhard
no flags Details
File: etc_X11_xorg_conf_d.tar.gz (334 bytes, application/octet-stream)
2018-11-30 18:17 UTC, Gerhard
no flags Details
File: usr_share_xorg_conf_d.tar.gz (1.92 KB, application/octet-stream)
2018-11-30 18:17 UTC, Gerhard
no flags Details

Description Gerhard 2018-11-30 18:17:32 UTC
Version-Release number of selected component:
xorg-x11-server-Xwayland-1.20.3-1.fc29

Additional info:
reporter:       libreport-2.9.6
crash_function: OsLookupColor
executable:     /usr/bin/Xwayland
kernel:         4.18.17-300.fc29.x86_64
runlevel:       N 5
type:           xorg
uid:            0

Truncated backtrace:
0: /usr/bin/Xwayland (OsLookupColor+0x13d) [0x55ff68b471ed]
1: /lib64/libpthread.so.0 (?+0x0) [0x7f6986eeef6f]
2: /usr/bin/Xwayland (present_extension_init+0xe78) [0x55ff68aaedc8]
3: /usr/bin/Xwayland (present_extension_init+0x16ba) [0x55ff68aafdfa]
4: /usr/bin/Xwayland (present_can_window_flip+0xf6d) [0x55ff68ab0f6d]
5: /usr/bin/Xwayland (SendErrorToClient+0x35e) [0x55ff68b1121e]
6: /usr/bin/Xwayland (InitFonts+0x3c6) [0x55ff68b15246]
7: /lib64/libc.so.6 (?+0x0) [0x7f6986d3a320]
8: /usr/bin/Xwayland (_start+0x2e) [0x55ff689e335e]

Comment 1 Gerhard 2018-11-30 18:17:36 UTC
Created attachment 1510226 [details]
File: Xorg.0.log

Comment 2 Gerhard 2018-11-30 18:17:37 UTC
Created attachment 1510227 [details]
File: backtrace

Comment 3 Gerhard 2018-11-30 18:17:39 UTC
Created attachment 1510228 [details]
File: cpuinfo

Comment 4 Gerhard 2018-11-30 18:17:42 UTC
Created attachment 1510229 [details]
File: dmesg

Comment 5 Gerhard 2018-11-30 18:17:43 UTC
Created attachment 1510230 [details]
File: dso_list

Comment 6 Gerhard 2018-11-30 18:17:45 UTC
Created attachment 1510231 [details]
File: etc_X11_xorg_conf_d.tar.gz

Comment 7 Gerhard 2018-11-30 18:17:47 UTC
Created attachment 1510232 [details]
File: usr_share_xorg_conf_d.tar.gz

Comment 8 Fedora Update System 2018-12-18 02:12:08 UTC
xorg-x11-server-1.20.3-2.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-e3ade0ccc7

Comment 9 Fedora Update System 2018-12-19 02:28:14 UTC
xorg-x11-server-1.20.3-2.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.